VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Std::Errors::InvalidElementConfiguration Class Reference
Inheritance diagram for Com::Vmware::Vapi::Std::Errors::InvalidElementConfiguration:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Std::Errors::InvalidElementConfiguration` error indicates that an attempt to modify the configuration of an element or a group containing the element failed due to the configuraton of the element. A typical case is when the method is am attempt to change the group membership of the element fails, in which case a configuration change on the element may allow the group membership change to succeed.

Examples:

- Attempt to move a host with a fault tolerant virtual machine out of a cluster (i.e. make the host a standalone host).
- Attempt to remove a host from a DRS cluster without putting the host into maintenance mode.

## Member Function Documentation

public method Com::Vmware::Vapi::Std::Errors::InvalidElementConfiguration::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Std::Errors::InvalidElementConfiguration structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 14
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Std::Errors::InvalidElementConfiguration');
$self->set_binding_name('name' => 'com.vmware.vapi.std.errors.invalid_element_configuration');
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Std/Errors/InvalidElementConfiguration.pm